\label{app:appD}

\begin{table}[ht]
  \begin{center}
    \begin{tabular}{|r|l||r|l|}
    \hline
    \emph{Unit test} & \emph{Java file} & \emph{Unit test} & \emph{Java file}\\
    \hline
     1.log & InterprPrim & 30.log & Factorials \\
     2.log & LocalVars & 31.log & StaticFields \\
     3.log & InterprSwitch & 32.log & Fields \\
     4.log & InterprInvoke & 33.log & JavaInt \\
     5.log & InterprInstanceof & 34.log & Javao0bj \\
     6.log & InterprCheckcast & 35.log & Quicksort \\
     7.log & InterprArray & 36.log & SwapSample \\
     8.log & InterprException & 37.log & JavaInt2 \\
     9.log & InterprFloatOps & 38.log & DQuicksort \\
    10.log & Iinc & 39.log & FloatTest \\
    11.log & IntOps & 40.log & InvokeStatic \\
    12.log & PrimConv & 41.log & Arguments \\
    13.log & PrimTypes & 42.log & StaticTest \\
    14.log & Arrays & 43.log & TryCatch \\
    15.log & Consts & 44.log & NonExistingFile \\
    16.log & Wide & 45.log & NonExistingFile2 \\
    17.log & Wide\_ret & 46.log & BoolTest \\
    18.log & ShortTryFinally & 47.log & BigTryCatch \\
    19.log & Reverse & 48.log & Finally2 \\
    20.log & Increment & 49.log & Outer \\
    21.log & Invoke & 50.log & FloatOut \\
    22.log & Demo & 51.log & Id \\
    23.log & Comp & 52.log & Swap \\
    24.log & Demo2 & 53.log & TypeError \\
    25.log & Misc & 54.log & TypeError2 \\
    26.log & Matrix & 55.log & Hello \\
    27.log & Matrix2 & 56.log & Bubblesort \\
    28.log & LookupSwitch & 57.log & QuicksortInt \\
    29.log & FinallySwitch & 58.log & ISort \\
    \hline
    \end{tabular}
    \caption{Unit tests.}
  \end{center}
\end{table}

